[arch-commits] Commit in ipvsadm/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 8 21:17:54 EDT 2009


    Date: Wednesday, April 8, 2009 @ 21:17:54
  Author: eric
Revision: 34290

Fixed svn conflict

Modified:
  ipvsadm/repos/extra-x86_64/	(properties)
  ipvsadm/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)


Property changes on: ipvsadm/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /ipvsadm/trunk:1
   + /ipvsadm/trunk:1-34289

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-09 01:14:33 UTC (rev 34289)
+++ extra-x86_64/PKGBUILD	2009-04-09 01:17:54 UTC (rev 34290)
@@ -1,22 +1,24 @@
 # $Id$
 # Maintainer: Judd Vinet <jvinet at zeroflux.org>
 pkgname=ipvsadm
-pkgver=1.24
+pkgver=1.25
 pkgrel=1
 pkgdesc="The IP Virtual Server administration utility"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://www.linuxvirtualserver.org/software/ipvs.html"
-depends=('iptables')
+license=('GPL')
+depends=('iptables' 'libnl' 'popt')
 backup=('etc/conf.d/ipvsadm')
+options=('!makeflags')
 source=(http://www.linuxvirtualserver.org/software/kernel-2.6/ipvsadm-$pkgver.tar.gz ipvsadm ipvsadm.conf.d)
-md5sums=('fb99dce274d2e0c7c3df244388289677' 'a8254be4e3b93f4cebe3d3d92515e5ee'\
+md5sums=('772a053f5fe888cd25784c5f55d31fc3' 'a8254be4e3b93f4cebe3d3d92515e5ee'\
          '3a7bc36ca81db2e0373abf9b90369d4f')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  make -j1 INCLUDE="-I/usr/src/linux-`uname -r`/include -I.. -I." || return 1
-  make BUILD_ROOT=$startdir/pkg install
-  install -D -m755 ../ipvsadm $startdir/pkg/etc/rc.d/ipvsadm
-  install -D -m644 ../ipvsadm.conf.d $startdir/pkg/etc/conf.d/ipvsadm
-  install -d -m755 $startdir/pkg/etc/ipvsadm
+  cd $srcdir/$pkgname-$pkgver
+  make INCLUDE="-I/usr/src/linux-`uname -r`/include -I.. -I." || return 1
+  make BUILD_ROOT=$pkgdir MANDIR=usr/share/man install || return 1
+  install -D -m755 ../ipvsadm $pkgdir/etc/rc.d/ipvsadm
+  install -D -m644 ../ipvsadm.conf.d $pkgdir/etc/conf.d/ipvsadm
+  install -d -m755 $pkgdir/etc/ipvsadm
 }



More information about the arch-commits mailing list